@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM 5630-A36 (C) COPYRIGHT International Business Machines Corp., 1997,2003
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@REM launches collection of metadata
@REM data is stored in the node config node-metadata.properties file; cell config is updated when available.

@REM echo off

@REM The Ant calling environment is sensitive to the ERRORLEVEL value.  If ERRORVALUE is
@REM already set when this script is invoked, it will not get updated by the JVM.  Therefore
@REM it should be cleared up front so that the calling environment will not interfere with
@REM the ERRORLEVEL value returned by the Java program invocation.  Additionally, this
@REM script should not be bracketed in a setlocal/endlocal block, because the ERRORLEVEL
@REM value will not get returned to the caller.

set ERRORLEVEL=

echo %0 entry
echo WAS_USER_SCRIPT: %WAS_USER_SCRIPT%
echo PARAM 1: %1
echo PARAM 2: %2

REM Set up env:
call "%WAS_USER_SCRIPT%"

set MY_PROPS="-Dserver.root=%WAS_HOME%" "-Dwas.install.root=%WAS_HOME%" -Dcom.ibm.ws.management.standalone=true "-Dlocal.cell=%WAS_CELL%" "-Dlocal.node=%WAS_NODE%" "-Duser.install.root=%USER_INSTALL_ROOT%" "-Dwas.repository.root=%CONFIG_ROOT%" "-Dws.ext.dirs=%WAS_EXT_DIRS%" -Dcom.ibm.CORBA.BootstrapHost=%COMPUTERNAME% -Dtrace=%TRACE% "-DtraceFile=%TRACEFILE%" "-DConfigService.TestMode=True" 

"%JAVA_HOME%\bin\java" %JAVA_DEBUG% %WAS_TRACE% %CONSOLE_ENCODING% "%CLIENTSOAP%" "%CLIENTSAS%" "-classpath" "%WAS_CLASSPATH%" %MY_PROPS% %USER_INSTALL_PROP% "com.ibm.ws.bootstrap.WSLauncher"  "com.ibm.ws.management.metadata.CollectManagedObjectMetadata" 

set MYERRORLEVEL=%ERRORLEVEL%
if defined PROFILE_CONFIG_ACTION exit %ERRORLEVEL% else exit /b %ERRORLEVEL%
